%define		module	PyXML
Summary:	Python/XML package
Summary(pl.UTF-8):	Pakiet Python/XML
Name:		python-%{module}
Version:	0.8.4
Release:	15
License:	BeOpen Python Open Source License
Group:		Libraries/Python
Source0:	http://downloads.sourceforge.net/pyxml/%{module}-%{version}.tar.gz
# Source0-md5:	1f7655050cebbb664db976405fdba209
Patch0:		%{name}-as_is_keyword_in_py26.patch
Patch1:		%{name}-attrs-contains.patch
URL:		http://pyxml.sourceforge.net/
BuildRequires:	expat-devel >= 1:1.95.8
BuildRequires:	python >= 1:2.5
BuildRequires:	python-devel
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.710
%pyrequires_eq	python-modules
Requires:	expat >= 1:1.95.8
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The PyXML package is a collection of libraries to process XML with
Python. It contains, among other things
- xmlproc: a validating XML parser.
- sgmlop: a C helper module that can speed-up xmllib.py and sgmllib.py
  by a factor of 5.
- PySAX: SAX 1 and SAX2 libraries with drivers for most of the
  parsers.
- 4DOM: A fully compliant DOM Level 2 implementation.
- javadom: An adapter from Java DOM implementations to the standard
  Python DOM binding.
- pulldom: a DOM implementation that supports lazy instantiation of
  nodes.
- marshal: a module with several options for serializing Python
  objects to XML, including WDDX and XML-RPC.
- unicode: a helper module for Python 1.5 users who need conversions
  between UTF-8 and ISO-8859-?.

%description -l pl.UTF-8
Pakiet PyXML jest zestawem bibliotek do obsługi XML-a z poziomu
Pythona. Zawiera między innymi:
- xmlproc: analizator sprawdzający poprawność XML-a;
- sgmlp: pomocniczy moduł w C przyspieszający działanie xmllib.py i
  sgmllib.py pięciokrotnie;
- PySAX: biblioteki SAX1 i SAX2 ze sterownikami do większości
  analizatorów składniowych;
- 4DOM: w pełni kompatybilna implementacja DOM Level 2;
- javadom: adapter z implementacji DOM w Javie do standardowego DOM w
  Pythonie;
- pulldom: implementacja DOM obsługująca leniwe tworzenie instancji
  węzłów;
- marshal: moduł z różnymi opcjami do serializacji obiektów Pythona w
  XML-u, w tym WDDX i XML-RPC;
- unicode: pomocniczy moduł dla użytkowników Pythona 1.5, którzy;
  potrzebują konwersji między UTF-8 a ISO-8859-?.

%package examples
Summary:	Examples of Python/XML
Summary(pl.UTF-8):	Przykłady do Python/XML
Group:		Development/Languages/Python
%pyrequires_eq	python
Requires:	%{name} = %{version}-%{release}

%description examples
Examples of Python/XML.

%description examples -l pl.UTF-8
Przykłady do Python/XML.

%prep
%setup -q -n %{module}-%{version}
%patch0 -p1
%patch1 -p1

%build
%py_build \
	--with-libexpat=%{_prefix} \
	--ldflags=-lexpat

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
%py_install

%py_postclean

cp -a demo/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc doc ANNOUNCE CREDITS LICENCE README* TODO
%attr(755,root,root) %{_bindir}/xmlproc_parse
%attr(755,root,root) %{_bindir}/xmlproc_val
%dir %{py_sitedir}/_xmlplus
%{py_sitedir}/_xmlplus/*.py[co]
%dir %{py_sitedir}/_xmlplus/dom
%{py_sitedir}/_xmlplus/dom/*.py[co]
%dir %{py_sitedir}/_xmlplus/dom/ext
%{py_sitedir}/_xmlplus/dom/ext/*.py[co]
%dir %{py_sitedir}/_xmlplus/dom/ext/reader
%{py_sitedir}/_xmlplus/dom/ext/reader/*.py[co]
%dir %{py_sitedir}/_xmlplus/dom/html
%{py_sitedir}/_xmlplus/dom/html/*.py[co]
%lang(de) %{py_sitedir}/_xmlplus/dom/de
%lang(en_US) %{py_sitedir}/_xmlplus/dom/en_US
%lang(fr) %{py_sitedir}/_xmlplus/dom/fr
%dir %{py_sitedir}/_xmlplus/marshal
%{py_sitedir}/_xmlplus/marshal/*.py[co]
%dir %{py_sitedir}/_xmlplus/parsers
%attr(755,root,root) %{py_sitedir}/_xmlplus/parsers/pyexpat.so
%attr(755,root,root) %{py_sitedir}/_xmlplus/parsers/sgmlop.so
%{py_sitedir}/_xmlplus/parsers/*.py[co]
%dir %{py_sitedir}/_xmlplus/parsers/xmlproc
%{py_sitedir}/_xmlplus/parsers/xmlproc/*.py[co]
%dir %{py_sitedir}/_xmlplus/sax
%{py_sitedir}/_xmlplus/sax/*.py[co]
%dir %{py_sitedir}/_xmlplus/sax/drivers
%{py_sitedir}/_xmlplus/sax/drivers/*.py[co]
%dir %{py_sitedir}/_xmlplus/sax/drivers2
%{py_sitedir}/_xmlplus/sax/drivers2/*.py[co]
%dir %{py_sitedir}/_xmlplus/schema
%{py_sitedir}/_xmlplus/schema/*.py[co]
%dir %{py_sitedir}/_xmlplus/unicode
%{py_sitedir}/_xmlplus/unicode/*.py[co]
%dir %{py_sitedir}/_xmlplus/utils
%attr(755,root,root) %{py_sitedir}/_xmlplus/utils/boolean.so
%{py_sitedir}/_xmlplus/utils/*.py[co]
%dir %{py_sitedir}/_xmlplus/xpath
%{py_sitedir}/_xmlplus/xpath/*.py[co]
%{py_sitedir}/PyXML-%{version}-py*.egg-info

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}
%changelog
* Mon Nov 30 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-PyXML.git;a=log;h=master

* Mon Nov 30 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> 58264b1
- release 15 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 8aa4a5a
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> f9777ac
- release 14 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> a86fcd3
- automatic change: use py_build/py_install macros

* Sun Jul 19 2015 Jakub Bogusz <qboosh@pld-linux.org> 60d4e4e
- added attrs-contains patch (allow using "key in attrs" syntax available in Python 2.7)
- release 13

* Sun Mar 01 2015 Elan Ruusamäe <glen@delfi.ee> e887993
- x32 rebuild
- release 12 (by relup.sh)

* Mon Sep 09 2013 Jakub Bogusz <qboosh@pld-linux.org> 9ff0e6b
- .so perms, lang() for translations

* Sun Nov 11 2012 Jan Rękorajski <baggins@pld-linux.org> 16445cb
- rebuild with expat 2.1.0
- release 11 (by relup.sh)

* Sat Jan 22 2011 sparky <sparky@pld-linux.org> ae24408
- BR: python-devel, python-modules, rpm-pythonprov

* Tue Aug 10 2010 Elan Ruusamäe <glen@pld-linux.org> 87aaa6f
- do not package tests; modernize spec; rel 10

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 1fe5bc9
- release 9

* Sat Dec 06 2008 Mateusz Korniak <matkor@pld-linux.org> 1fded42
- Release 8. Fix as being new keyword in Python2.6 build problem.

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 9860ff9
- release 7

* Tue Apr 24 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 27a968f
- rel 6

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 7f1f557
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> e26e72c
- converted to UTF-8

* Thu Dec 21 2006 Jakub Bogusz <qboosh@pld-linux.org> 7dc08b0
- unified examplesdir
- fixed doc duplicate
- package .egg-info for python 2.5

* Wed Sep 27 2006 wrobell <wrobell@pld-linux.org> 31c6cd2
- rel. 5 to rebuild with python 2.5 (final)

* Mon Aug 28 2006 freetz <freetz@pld-linux.org> 8973b6b
- rel.4 for rebuild with new python

* Sat Mar 12 2005 Michal Chruszcz <mchruszcz@gmail.com> 2e1f532
- mass commit: remove obsolete BR: rpm-pythonprov

